Summary:	A public domain clone of the Korn shell (ksh)
Name:		pdksh
Version:	5.2.14
Release:	%mkrel 40
License:	Public Domain and BSD-like and GPLv2+
Group:		Shells
URL:		http://www.cs.mun.ca/~michael/pdksh
Source:		ftp://ftp.cs.mun.ca/pub/pdksh/%{name}-%{version}.tar.bz2
Patch0:		pdksh-5.2.14-manloc.patch
# debian patch
Patch1:		pdksh-5.2.14-debian.patch
Patch2:		pdksh-child_max.patch
Patch3:		pdksh-5.2.14-fix-str-fmt.patch
Provides:	/usr/bin/ksh
Provides:	/bin/ksh
Provides:	ksh
Requires(pre):	filesystem >= 2.1.9-18

# There has been a dramatic change in the "official" github repo
# of ksh that has made the 2020.0.0 version unmaintained and
# unsupported. Therefore it's time to obsolete it.
Obsoletes:	ksh < 2020.0.0.338.git8d91e8a-0.3

%description
The pdksh package contains PD-ksh, a clone of the Korn shell (ksh).
The ksh shell is a command interpreter intended for both interactive
and shell script use.  Ksh's command language is a superset of the
sh shell language.

Install the pdksh package if you want to use a version of the ksh
shell.

%prep
%setup -q
%patch0 -p1 -b .manloc
%patch1 -p1 -b .debian
%patch2 -p1 -b .jobs
%patch3 -p0 -b .str

%build
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -DDEBIAN " %configure
# Disable linemarkers to avoid confusing the script generating this
%make siglist.out CPPFLAGS=-P
%make_build

%install
%makeinstall
# Create symlinks for pdksh
ln -s ksh %{buildroot}%{_bindir}/pdksh
ln -s ksh.1 %{buildroot}%{_mandir}/man1/pdksh.1

%post
/usr/share/rpm-helper/add-shell %{name} $1 /bin/ksh

%postun
/usr/share/rpm-helper/del-shell %{name} $1 /bin/ksh

%files
%doc LEGAL README NOTES PROJECTS NEWS BUG-REPORTS
%{_bindir}/ksh
%{_bindir}/pdksh
%{_mandir}/*/*



%changelog
* Sat Feb 22 2020 kekepower <kekepower> 5.2.14-40.mga8
+ Revision: 1549468
- Obsolete ksh2020.0.0

* Fri Feb 14 2020 umeabot <umeabot> 5.2.14-39.mga8
+ Revision: 1515858
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 5.2.14-38.mga7
+ Revision: 1300154
- Mageia 7 Mass Rebuild

* Sat Feb 24 2018 kekepower <kekepower> 5.2.14-37.mga7
+ Revision: 1204748
- Use %%makeinstall instead of %%make_install
- Provides /bin/ksh

* Tue Feb 16 2016 umeabot <umeabot> 5.2.14-36.mga6
+ Revision: 962002
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 danf <danf> 5.2.14-35.mga6
+ Revision: 895723
- Fixed the build on gcc 5.2

* Wed Oct 15 2014 umeabot <umeabot> 5.2.14-34.mga5
+ Revision: 744736
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.2.14-33.mga5
+ Revision: 683390
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.2.14-32.mga4
+ Revision: 508972
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 5.2.14-31.mga3
+ Revision: 362715
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 5.2.14-30.mga3
+ Revision: 273158
- Update for usrmove

* Fri Mar 18 2011 ennael <ennael> 5.2.14-29.mga1
+ Revision: 74198
- clean spec file
- imported package pdksh

